Imports System.Data.SqlClient
Public Class Form13


    Private Sub Form13_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txt7.Enabled = False
        txt8.Enabled = False
        txt9.Enabled = False
        'txt10.Enabled = False
        lbtotal.Text = ""

        lock()
        searchshow()
        txt1.Enabled = False

        isearch.Enabled = True
        inew.Enabled = True
        isave.Enabled = False
        icancel.Enabled = False
        iupdate.Enabled = False
        idel.Enabled = False
        b.Enabled = False
    End Sub
    Private Sub clear()
        txt1.Text = ""
        txt2.Text = ""
        txt3.Text = ""
        txt4.Text = ""
        txt5.Text = ""
        txt6.Text = ""
        txt7.Text = ""
        txt8.Text = ""
        txt9.Text = ""
        lbtotal.Text = ""
    End Sub
    Private Sub lock()
        'txt1.Enabled = False
        txt2.Enabled = False
        txt3.Enabled = False
        txt4.Enabled = False
        txt5.Enabled = False
        txt6.Enabled = False
        txt10.Enabled = False
        Button1.Enabled = False
        Button2.Enabled = False
        Button3.Enabled = False
        Button4.Enabled = False
        TextBox7.Enabled = False
    End Sub
    Private Sub unlock()

        'txt1.Enabled = True
        txt2.Enabled = True
        txt3.Enabled = True
        txt4.Enabled = True
        txt5.Enabled = True
        txt6.Enabled = True
        txt10.Enabled = True
        Button1.Enabled = True
        Button2.Enabled = True
        Button3.Enabled = True
        Button4.Enabled = True
        TextBox7.Enabled = True
    End Sub
    Private Sub autonum()
        Call main()
        Con.Open()
        Dim UserSelect As SqlCommand
        Dim myreader As SqlDataReader
        Dim sql As String
        Dim sum As Integer
        Dim no As Integer

        sql = "select max(patient_id) from Patient_table"
        UserSelect = New SqlCommand(sql, Con)
        myreader = UserSelect.ExecuteReader
        If (myreader.Read = True) Then
            no = 1

            txt1.Text = myreader(0)
            sum = txt1.Text + no
            txt1.Text = sum
        Else
            txt1.Text = "12001"

            'clear()


        End If


        Con.Close()
    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim tstDate As DateTime = DateTime.Now
        Dim dateAsString As String = tstDate.ToString("MM/dd/yyyy")
        txt7.Text = dateAsString

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click


        Dim tstDate As DateTime = DateTime.Now
        Dim dateAsString As String = tstDate.ToString("MM/dd/yyyy")



        txt8.Text = dateAsString

        Dim dtStartDate As Date = txt7.Text
        Dim tsTimeSpan As TimeSpan
        Dim iNumberOfDays As Integer

        tsTimeSpan = Now.Subtract(dtStartDate)
        iNumberOfDays = tsTimeSpan.Days
        txt9.Text = iNumberOfDays.ToString()


        If txt9.Text = "0" Then
            txt9.Text = "1"
        End If
       
    End Sub

    Private Sub save()
        Call main()
        Con.Open()
        Dim adapter As New SqlDataAdapter
        Dim sql As String
        sql = "insert into room (patient_id,lname,fname,mname,room_availability,room_no,day_ad,day_dis,taldays,rprice,totamount,docaten) values('" & txt1.Text & "','" & txt2.Text & "', '" & txt3.Text & "', '" & txt4.Text & "', '" & txt5.Text & "','" & txt6.Text & "','" & txt7.Text & "','" & txt8.Text & "','" & txt9.Text & "','" & txt10.Text & "','" & lbtotal.Text & "','" & TextBox7.Text & "')"
        Try

            adapter.InsertCommand = New SqlCommand(sql, Con)
            adapter.InsertCommand.ExecuteNonQuery()
            MsgBox("Successful To save this record on database", MsgBoxStyle.Information, "Information On Database")
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        Con.Close()
    End Sub


    Private Sub updatesave()
        Call main()
        Con.Open()
        Dim adapter As New SqlDataAdapter
        Dim sql As String

        sql = "update room set patient_id='" & txt1.Text & "',lname='" & txt2.Text & "',fname='" & txt3.Text & "',mname='" & txt4.Text & "',room_availability='" & txt5.Text & "',room_no='" & txt6.Text & "',day_ad='" & txt7.Text & "',day_dis='" & txt8.Text & "',taldays='" & txt9.Text & "',rprice='" & txt10.Text & "',totamount='" & lbtotal.Text & "',docaten='" & TextBox7.Text & "'  where patient_id ='" & txtsearch.Text & "'"
        Try
            adapter.UpdateCommand = Con.CreateCommand
            adapter.UpdateCommand.CommandText = sql
            adapter.UpdateCommand.ExecuteNonQuery()
            MsgBox("Successful To Update this record on database", MsgBoxStyle.Information, "Information On Database")
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        Con.Close()
    End Sub

    Private Sub updatepatient()
        Call main()
        Con.Open()
        Dim adapter As New SqlDataAdapter
        Dim sql As String

        sql = "update Patient_table set patient_id='" & txt1.Text & "',lname='" & txt2.Text & "',fname='" & txt3.Text & "',mname='" & txt4.Text & "' where patient_id ='" & txtsearch.Text & "'"
        Try
            adapter.UpdateCommand = Con.CreateCommand
            adapter.UpdateCommand.CommandText = sql
            adapter.UpdateCommand.ExecuteNonQuery()
            'MsgBox("Successful To Update this record on database", MsgBoxStyle.Information, "Information On Database")
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        Con.Close()
    End Sub
    Private Sub deleterecord()
        Call main()
        Con.Open()


        Dim adapter As New SqlDataAdapter
        Dim sql As String

        sql = "delete room where patient_id ='" & txtsearch.Text & "'"
        Try
            adapter.DeleteCommand = Con.CreateCommand
            adapter.DeleteCommand.CommandText = sql
            adapter.DeleteCommand.ExecuteNonQuery()
            MsgBox("Successful To Delete this record on database", MsgBoxStyle.Information, "Information On Database")
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        Con.Close()
    End Sub

    '********auto complete Search*********************
    Private Sub searchshow()
        Call main()
        Con.Open()

        Dim cmd As New SqlCommand("SELECT patient_id FROM room", Con)
        Dim ds As New DataSet
        Dim da As New SqlDataAdapter(cmd)
        da.Fill(ds, "My List") 'list can be any name u want

        Dim col As New AutoCompleteStringCollection
        Dim i As Integer
        For i = 0 To ds.Tables(0).Rows.Count - 1
            col.Add(ds.Tables(0).Rows(i)("patient_id").ToString())
        Next
        txtsearch.AutoCompleteSource = AutoCompleteSource.CustomSource
        txtsearch.AutoCompleteCustomSource = col
        txtsearch.AutoCompleteMode = AutoCompleteMode.Suggest
        Con.Close()
    End Sub
    Private Sub showsearch()
        Call main()
        Con.Open()
        Dim UserSelect As SqlCommand
        Dim myreader As SqlDataReader
        Dim sql As String

        sql = "select * from room where patient_id like '" & (txtsearch.Text) & "%'"
        UserSelect = New SqlCommand(sql, Con)
        myreader = UserSelect.ExecuteReader
        If (myreader.Read = True) Then
            If txtsearch.Text = myreader(0) Then
                unlock()
                inew.Enabled = False
                icancel.Enabled = True
                iupdate.Enabled = True
                idel.Enabled = True

                txt1.Text = myreader(0)
                txt2.Text = myreader(1)
                txt3.Text = myreader(2)
                txt4.Text = myreader(3)
                txt5.Text = myreader(4)
                txt6.Text = myreader(5)
                txt7.Text = myreader(6)
                txt8.Text = myreader(7)
                txt9.Text = myreader(8)
                txt10.Text = myreader(9)
                lbtotal.Text = myreader(10)
                TextBox7.Text = myreader(11)
                Button2.Enabled = True
                b.Enabled = False
              
            End If
        Else
            lock()
            MsgBox("No record Found on Database", MsgBoxStyle.Critical, "Error")
            inew.Enabled = True
            icancel.Enabled = False
            iupdate.Enabled = False
            idel.Enabled = False
            Button2.Enabled = False
            b.Enabled = True

            clear()
        End If

        Con.Close()
    End Sub

    Private Sub inew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles inew.Click
        isearch.Enabled = False
        inew.Enabled = False
        isave.Enabled = True
        icancel.Enabled = True
        iupdate.Enabled = False
        idel.Enabled = False
        txtsearch.Enabled = False
        b.Enabled = True

        clear()
        unlock()
        txtsearch.Text = ""

        autonum()

        txt2.Focus()
    End Sub

  
    Private Sub isave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles isave.Click
        save()
        b.Enabled = False

        clear()
        lock()
        searchshow()

        isearch.Enabled = True
        inew.Enabled = True
        isave.Enabled = False
        icancel.Enabled = False
        iupdate.Enabled = False
        idel.Enabled = False
        txtsearch.Enabled = True
    End Sub

    Private Sub icancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles icancel.Click
        lock()
        clear()
        txtsearch.Text = ""

        isearch.Enabled = True
        inew.Enabled = True
        isave.Enabled = False
        icancel.Enabled = False
        iupdate.Enabled = False
        idel.Enabled = False
        txtsearch.Enabled = True
    End Sub

    Private Sub iupdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles iupdate.Click
        On Error GoTo err


        If txtsearch.Text = "" Then
            MsgBox("Sorry you have no record to update!", MsgBoxStyle.Critical, "Error Update")

        Else
            Select Case MsgBox("Are you sure, you want to Update this Record?", MsgBoxStyle.YesNo)
                Case MsgBoxResult.Yes
                    updatesave()
                    updatepatient()

                    clear()
                    txtsearch.Text = ""
                    lock()

                    searchshow()


                    isearch.Enabled = True
                    inew.Enabled = True
                    isave.Enabled = False
                    icancel.Enabled = False
                    iupdate.Enabled = False
                    idel.Enabled = False
                Case MsgBoxResult.No
                    GoTo err
            End Select


        End If
err:
        Exit Sub
    End Sub

    Private Sub idel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles idel.Click
        On Error GoTo err


        If txtsearch.Text = "" Then
            MsgBox("Sorry you have no record to Delete!", MsgBoxStyle.Critical, "Error Delete")


        Else
            Select Case MsgBox("Are you sure, you want to Delete this Record?", MsgBoxStyle.YesNo)
                Case MsgBoxResult.Yes
                    deleterecord()


                    clear()
                    txtsearch.Text = ""
                    lock()

                    searchshow()


                    isearch.Enabled = True
                    inew.Enabled = True
                    isave.Enabled = False
                    icancel.Enabled = False
                    iupdate.Enabled = False
                    idel.Enabled = False

                Case MsgBoxResult.No
                    GoTo err
            End Select
        End If


err:
        Exit Sub
    End Sub

    Private Sub b_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b.Click
        If b.Text = "Patient ID is Already" Then
            b.Text = "Cancel"
            txt1.Enabled = True
            searchshow1()
            txt1.Text = ""
            txt2.Text = ""
            txt3.Text = ""
            txt4.Text = ""
            txt1.Focus()
            txt2.Enabled = False
            txt3.Enabled = False
            txt4.Enabled = False
        ElseIf b.Text = "Cancel" Then
            b.Text = "Patient ID is Already"
            txt1.Text = ""
            txt2.Text = ""
            txt3.Text = ""
            txt4.Text = ""
            txt1.Enabled = False
            txt2.Enabled = True
            txt3.Enabled = True
            txt4.Enabled = True
        End If
    End Sub
    Private Sub searchshow1()
        Call main()
        Con.Open()

        Dim cmd As New SqlCommand("SELECT patient_id FROM Patient_table", Con)
        Dim ds As New DataSet
        Dim da As New SqlDataAdapter(cmd)
        da.Fill(ds, "My List") 'list can be any name u want

        Dim col As New AutoCompleteStringCollection
        Dim i As Integer
        For i = 0 To ds.Tables(0).Rows.Count - 1
            col.Add(ds.Tables(0).Rows(i)("patient_id").ToString())
        Next
        txt1.AutoCompleteSource = AutoCompleteSource.CustomSource
        txt1.AutoCompleteCustomSource = col
        txt1.AutoCompleteMode = AutoCompleteMode.Suggest
        Con.Close()
    End Sub
    Private Sub showsearch1()
        Call main()
        Con.Open()
        Dim UserSelect As SqlCommand
        Dim myreader As SqlDataReader
        Dim sql As String

        sql = "select * from Patient_table where patient_id like '" & (txt1.Text) & "%'"
        UserSelect = New SqlCommand(sql, Con)
        myreader = UserSelect.ExecuteReader
        If (myreader.Read = True) Then

            'txt1.Text = myreader(0)
            txt2.Text = myreader(1)
            txt3.Text = myreader(2)
            txt4.Text = myreader(3)
            'txt5.Focus()


        Else

            MsgBox("No record Found on Database", MsgBoxStyle.Critical, "Error")



            clear()
        End If

        Con.Close()
    End Sub

    Private Sub txtsearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtsearch.Click
        If txtsearch.Text = "" Then
            clear()
        End If
    End Sub

    Private Sub txtsearch_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtsearch.KeyUp
        If e.KeyCode = Keys.Enter Then
            showsearch()
        End If
    End Sub

    Private Sub isearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles isearch.Click
        If txtsearch.Text = "" Then
            MsgBox("Search Patient Id is Null ", MsgBoxStyle.Critical, "Error Search")
        Else
            showsearch()
        End If
    End Sub
    Private Sub showroom()
        Call main()
        Con.Open()
        Dim UserSelect As SqlCommand
        Dim myreader As SqlDataReader
        Dim sql As String

        sql = "select * from roominventory where Ward like '" & (txt5.Text) & "%'"
        UserSelect = New SqlCommand(sql, Con)
        myreader = UserSelect.ExecuteReader
        If (myreader.Read = True) Then
            txt10.Text = myreader(1)
            'Else
            'showroom1()
        End If

        Con.Close()
    End Sub
   

    Private Sub txt1_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txt1.KeyUp
        If e.KeyCode = Keys.Enter Then
            showsearch1()
        End If


    End Sub

    
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        If txt10.Text = "" Then
            MsgBox("Please input the price", MsgBoxStyle.Information)
        Else
            Dim a, b As Double
            Dim sum As String
            a = txt9.Text
            b = txt10.Text
            sum = a * b
            lbtotal.Text = sum
        End If
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        lbtotal.Text = ""
    End Sub

    Private Sub txt1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt1.TextChanged
        If txt1.Text = "" Then
            clear()
        End If
    End Sub
End Class